Bug 711062 - Please test ActiveRecord against Postgres
Please test ActiveRecord against Postgres
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: rubygem-activerecord (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vít Ondruch
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 694066
  Show dependency treegraph
 
Reported: 2011-06-06 08:39 EDT by Vít Ondruch
Modified: 2017-02-28 04:29 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vít Ondruch 2011-06-06 08:39:59 EDT
Description of problem:
Since rubygem-pg is available in Rawhide, it would be wise to test ActiveRecord against it.
Comment 1 Mo Morsi 2011-06-29 10:51:15 EDT
I just installed rubygem-pg from rawhide, and attempted to run rake test_postgresql in the activerecord spec file, resulting in

+ rake test_postgresql --trace
rake/gempackagetask is deprecated.  Use rubygems/package_task instead
** Invoke test_postgresql (first_time)
** Execute test_postgresql
...
Using native PostgreSQL
./lib/active_record/connection_adapters/postgresql_adapter.rb:932:in `initialize': FATAL:  role "mmorsi" does not exist (PGError)
	from ./lib/active_record/connection_adapters/postgresql_adapter.rb:932:in `connect'
...


It seems like we will need to create the db manually, at least if I understand the RUNNING_UNIT_TESTS doc in the activerecord project correctly, and unlike sqlite3, postgres requires elevated permissions to do so. I'm not sure if we are going to be able to do this w/ the Fedora infrastructure.

Thoughts?
Comment 2 Vít Ondruch 2011-08-05 03:19:27 EDT
I tried to run the test suite against the Postgres, but I was not successful. I do not remember why. But I still believe we should not give up :)
Comment 3 Mo Morsi 2011-08-10 15:07:41 EDT
Hrm, not too concerned w/ the actual invocation of the postgres test suite, I'm sure we can get it working, patching it if necessary.

I'm more concerned about setting up a postgres db in the rpm spec suite, I don't think we will have administrative permissions to configure postgres there (eg set up a new role, add the db, and then drop it after).

Correct me if I'm wrong on this one.
Comment 4 Mo Morsi 2011-12-08 09:40:22 EST
ping? Any thoughts on this? Would like to close this out otherwise.
Comment 5 Vít Ondruch 2011-12-08 10:33:34 EST
Hi Mo,

Sorry, it has not high priority on my TODO list yet. Nevertheless, I'd still like to test AR against PG. If you like, I can take this issue and you can forget about it :)

Otherwise I still believe it is doable, because:

1) In mock, you are building as root, so there should not be any issue if some user is necessary.
2) postgresql package has unittest, so it has to be possible to setup the database
3) More importantly, rubygem-pg has its test suite which definitely setup postgres and DB for its run
Comment 6 Mo Morsi 2011-12-08 11:41:48 EST
Sure if you wanted to take care of this that'd be great, cycles are spread thin these days. You should already have commit access for rubygem-activerecord so go for it. Appreciate it!
Comment 7 Vít Ondruch 2011-12-09 06:58:53 EST
This was always intended more like reminder for me then expecting that you'll do it :) So I taking it.
Comment 8 Fedora End Of Life 2013-04-03 15:47:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 9 Fedora End Of Life 2015-01-09 16:49:55 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Jan Kurik 2015-07-15 11:15:36 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 11 Fedora End Of Life 2016-11-24 05:32:03 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2017-02-28 04:29:37 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Note You need to log in before you can comment on or make changes to this bug.